curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedule = await method.reportSchedules.retrieve('rpt_sch_Gqjh8pzeUfzH6');
report_schedule = method.report_schedules.retrieve('rpt_sch_Gqjh8pzeUfzH6')
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
Report Schedules
Retrieve a Report Schedule
GET
/
report_schedules
/
{schedule_id}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedule = await method.reportSchedules.retrieve('rpt_sch_Gqjh8pzeUfzH6');
report_schedule = method.report_schedules.retrieve('rpt_sch_Gqjh8pzeUfzH6')
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
Returns the Report Schedule object associated with the ID.
Path Parameters
Returns
Returns the Report Schedule object associated with the ID.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedule = await method.reportSchedules.retrieve('rpt_sch_Gqjh8pzeUfzH6');
report_schedule = method.report_schedules.retrieve('rpt_sch_Gqjh8pzeUfzH6')
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
⌘I